#
# spec file for package dblatex
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dblatex
Version:        0.3.5
Release:        5.2
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  ImageMagick
BuildRequires:  dos2unix
BuildRequires:  grep
BuildRequires:  libxslt
BuildRequires:  python-devel
BuildRequires:  pyxml
BuildRequires:  transfig
Requires:       pyxml
Summary:        DocBook to LaTeX Publishing
License:        GPL-2.0
Group:          Productivity/Publishing/DocBook
Url:            http://dblatex.sourceforge.net
Requires:       docbook_4
#PATCH-FIX-OPENSUSE dblatex-0.3.4-disable-debian.patch toganm@opensuse.org -disables debian specific installation parts
Patch0:         dblatex-0.3.4-disable-debian.patch
%if %suse_version <= 1220
Requires:       texlive
Requires:       texlive-bin
Requires:       texlive-latex
BuildRequires:  texlive
BuildRequires:  texlive-bin
BuildRequires:  texlive-latex
%else
Requires:       texlive-collection-fontsrecommended
Requires:       texlive-epstopdf
Requires:       texlive-latex
# grep for \usepackage in dblatex but require only one
# style of a texlive package
Requires:       tex(amsmath.sty)
Requires:       tex(amssymb.sty)
Requires:       tex(anysize.sty)
Requires:       tex(appendix.sty)
Requires:       tex(attachfile.sty)
Requires:       tex(bibtopic.sty)
Requires:       tex(calc.sty)
Requires:       tex(changebar.sty)
Requires:       tex(cmap.sty)
Requires:       tex(color.sty)
Requires:       tex(colortbl.sty)
Requires:       tex(courier.sty)
Requires:       tex(dummyels.sty)
Requires:       tex(enumitem.sty)
Requires:       tex(fancybox.sty)
Requires:       tex(fancyhdr.sty)
Requires:       tex(fancyvrb.sty)
Requires:       tex(float.sty)
Requires:       tex(fontenc.sty)
Requires:       tex(fontspec.sty)
Requires:       tex(footmisc.sty)
Requires:       tex(hyperref.sty)
Requires:       tex(ifpdf.sty)
Requires:       tex(ifxetex.sty)
Requires:       tex(lastpage.sty)
Requires:       tex(listings.sty)
Requires:       tex(mathrsfs.sty)
Requires:       tex(multirow.sty)
Requires:       tex(overpic.sty)
Requires:       tex(pdfpages.sty)
Requires:       tex(ragged2e.sty)
Requires:       tex(rotating.sty)
Requires:       tex(stmaryrd.sty)
Requires:       tex(subfigure.sty)
Requires:       tex(titlesec.sty)
Requires:       tex(wasysym.sty)
Requires:       tex(xecyr.sty)
Requires:       tex(xltxtra.sty)
BuildRequires:  texlive-collection-fontsrecommended
BuildRequires:  texlive-epstopdf
BuildRequires:  texlive-latex
BuildRequires:  tex(amsmath.sty)
BuildRequires:  tex(amssymb.sty)
BuildRequires:  tex(anysize.sty)
BuildRequires:  tex(appendix.sty)
BuildRequires:  tex(attachfile.sty)
BuildRequires:  tex(bibtopic.sty)
BuildRequires:  tex(calc.sty)
BuildRequires:  tex(changebar.sty)
BuildRequires:  tex(cmap.sty)
BuildRequires:  tex(color.sty)
BuildRequires:  tex(colortbl.sty)
BuildRequires:  tex(courier.sty)
BuildRequires:  tex(dummyels.sty)
BuildRequires:  tex(enumitem.sty)
BuildRequires:  tex(fancybox.sty)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(fancyvrb.sty)
BuildRequires:  tex(float.sty)
BuildRequires:  tex(fontenc.sty)
BuildRequires:  tex(fontspec.sty)
BuildRequires:  tex(footmisc.sty)
BuildRequires:  tex(hyperref.sty)
BuildRequires:  tex(ifpdf.sty)
BuildRequires:  tex(ifxetex.sty)
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(listings.sty)
BuildRequires:  tex(mathrsfs.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(overpic.sty)
BuildRequires:  tex(pdfpages.sty)
BuildRequires:  tex(ragged2e.sty)
BuildRequires:  tex(rotating.sty)
BuildRequires:  tex(stmaryrd.sty)
BuildRequires:  tex(subfigure.sty)
BuildRequires:  tex(titlesec.sty)
BuildRequires:  tex(wasysym.sty)
BuildRequires:  tex(xecyr.sty)
BuildRequires:  tex(xltxtra.sty)
%endif
%py_requires

%description
dblatex is a program that transforms your SGML/XMLDocBook
documents to DVI, PostScript or PDF by translating them
into pure LaTeX as a first process.  MathML 2.0 markups
are supported, too. It started as a clone of DB2LaTeX.

%prep
%setup -q
%__cp docs/manual.pdf .

%patch0 -p1
# correct doc paths in setup
sed -i 's/share\/doc\/dblatex/share\/doc\/packages\/dblatex/g' setup.py

# Remove any She-bang lines
sed -i '/#!\/usr\//d' lib/dbtexmf/dblatex/xetex/fsencoder.py \
  lib/dbtexmf/dblatex/xetex/fontspec.py \
  lib/dbtexmf/dblatex/xetex/fsconfig.py

%build
env CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install \
       --prefix=%{_prefix} \
       --root=$RPM_BUILD_ROOT \
       --record-rpm=INSTALLED_FILES

[ -e  %{py_sitedir}/dbtexmf/dblatex/xetex/fontspec.py ] && \
  dos2unix %{py_sitedir}/dbtexmf/dblatex/xetex/fontspec.py
%{__grep} -v -e '%dir %{_defaultdocdir}$' INSTALLED_FILES > _tmp
%{__mv} _tmp INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Sun Jan  4 2015 p.drouand@gmail.com
- Update to version 0.3.5
  + Fix an HTML table bug when no colgroup or col is specified.
  + Fix an HTML table bug when cellpadding is expressed in percentage.
  + Include the package ’ucs’ and configure listings to work with pdftex
    and UTF-8 characters.
  + Improve setup.py to detect the installed texlive version only on
    manual install.
  + Adapt URL to work with texlive >= 2009.
  + Debian bugs fixed: #720624, #684393, #684391, #683166, #682936, and #682901.
  + SF bugs fixed: #108, #107, #106, #104, #103, #98, and some fixes to
    be able work with Saxon.
* Sun Aug 11 2013 toganm@opensuse.org
- Update to version 0.3.4
  * Fix a bug in the missing characters display.
  * Fix the global template to actually insert a backmatter tag
    before backmatter  elements.
  * Fix bug #3520152 by changing a template xpath (looks like a
    libxslt limitation).
  * Improve the verbatim block display to be able to scale the
    block width to the page width.
  * Allow latex instructions within verbatim blocks through
    Processing Instructions.
  * Improve the setup script to be close to the debian install
    rules.
  * Improve the hyphenation of the inlined literal elements.
  * Add the parameter example.float.type to give the possibility to
    have <example> not floating. The attribute 'floatstyle' is also
    taken into account.
  * Add the parameter hyphenation.format to specify the inlined
    format types that must be hyphenated. It replaces the more
    limited  monoseq.hyphenation parameter.
- Packaging
  * added dblatex-0.3.4-disable-debian.patch
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Thu Apr 26 2012 toganm@opensuse.org
- Update to version 0.3.3
  * Fix incomplete image path conversion when subfigures are used.
  * Fix unicode listings limitation to handle characters greater than
    255.
  * Fix <abstract> environment to prevent from page counter reset.
  * Fix the <literallayout> limitations by using the same
    implementation than <screen>.
  * Fix a texlive 9 french babel and enumitem incompatibility.
  * Fix to be robust to URL encoded image paths, and to non-latin1
    paths.
  * Fix missing cross-reference to <sidebar> and <qandaset>.
  * Fix the <sidebar> box width to the actual context witdh.
  * Fix a french babel bug (unexpected active chars) when used with
    XeTeX.
  * Fix Debian bug #627501 to tell the priority policy of --xsl-user
    option.
  * Fix Debian bug #632967 to return a non-null code when the
    compilation fails.
  * Fix Debian bug #629514 to have draft watermark with XeTeX
    backend.
  * Fix Debian bug #634563 to have safe pdftitle content (no images).
  * Fix setup.py in order to work under Windows.
  * Fix the HTML table support to correctly render the cells
    elements.
  * Fix the HTML table support to correctly nested tables.
  * Fix the Olink support to allow database user-specific renderings
    like italics for <i> tags. Reuse of the DocBook Project implementation.
  * Fix a setup failure that made the listings UTF-8 support failed
    (extendedchars to set to "true").
  * Fix --xslt-opts to be able to pass several arguments by using
    quotes
  * Set the TexLive version to 2009 by default.
  * Update to new Debian Error Handler API.
  Improvements sponsored by Freexian (http://www.freexian.com) :
  * Remove hard-coded paper size and add some parameters for page
    layout setup:
    + Parameters to define page sizes and margins.
    + Parameters to have crop marks for pre-press PDF output.
  * Add the parameters literal.environment and literal.extensions to
    allow the user define its own listing environment.
  * Add the parameter latex.engine.options to be able to pass options
    to the TeX engine backend.
  * Print out warnings about the characters not handled by the
    selected fonts.
  * Image display improvements/fixes:
    + Avoid unexpected paragraph indentation when displaying images.
    + Strip spurious spaces between subfigures when
    + @role='flow.inline'
    + Prevents from empty tex subcaptions when no subfigure
    <caption> is defined.
  * Add the ability to format <ulink> as a block when @type='block'.
  * Pass @role to the latex sidebar environment.
  * Add the literal.class parameter used when <literallayout> class
    attribute is not set. Default is 'monospaced'.
  * Add some @role to format literal elements, and literal.role
    parameter for default role:
    + Wrap: wrap lines when longer than text width (default)
    + Overflow: do not wrap lines ; long lines overflow to the left
    + Scale: automatically scale a listing to have its lines fit the
    page width. The special feature can be disabled with
    literal.extensions=0
* Wed Mar 28 2012 toganm@opensuse.org
- Update to version 0.3.2:
  * Add feature request #2052157 to have HTML table support
  * Full support of the --quiet option
  * Improve setup.py to make package building easier in a
    development environment
  * Improve the document title formatting, to render <superscript>
    for example.
  * Fix debian bug #629110 to work around an appendix package
    limitation with xetex
  * Fix bug #3094120 to work in paranoid mode (required for
    TexLive 2010)
  * Fix debian bug #623590 to format elements like <emphasis>
    contained in <filename>.
  * Fix a bug that prevented from putting and index at the highest
    level when preceded by a <part>.
- Removed dblatex-setup.patch and used sed instead to change doc
  directory
* Tue Jan 10 2012 coolo@suse.com
- GPL seems to be 2.0 only
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Fri Aug 12 2011 toms@suse.de
- Merged spec file with Publishing
- Added sed call to remove shebang lines in *.py files
* Sat Jun  5 2010 bernhard@bwalle.de
  Updated to version 0.3:
  * Upgrade to recent Debian scripts (error handlers).
  * Improve the table rendering by adding a table-width Processing
    Instruction.
  * Add the parameters:
  - default.table.width.
  - biblioentry.numbered.
  * A number of bug fixes.
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Wed Sep 24 2008 ro@suse.de
- drop noarch (not for a python package)
* Wed Jan 23 2008 toms@suse.de
- Updated to version 0.2.7
  * The XRef implementation is competely refactored to work with
  the common DocBook Project stylesheets version 1.72. The goal is
  to support the DocBook Project xreftyle and olink capabilities.
  In normal use, the changes should be transparent.
  * Dblatex accepts input data from standard input. Therefore, the
  result of some pre-processing (like profiling) can be piped to
  dblatex.
  * Several user stylesheets (option -p) can be passed. Note that
  each stylesheet is imported (not included) which have significant
  impact on precedence or overriding behaviour.
  * Other minor improvements and a number of bug fixes.
- Updated to version 0.2.6
  * It is possible to number and/or put the preface, dedication,
  and colophon sections in the TOC and bookmarks.</para>
  * Add a draft watermark when the document is in draft mode.
  Moreover, the draft mode can be deduced from the document status
  attribute.
  * Some other minor improvements and bug fixes.
* Sat Sep  1 2007 toms@suse.de
- First initial release 0.2.5
